// Filename : controller.h

#ifndef CONTROLLER_H
#define CONTROLLER_H

#include "spacecomp.h"
#include "abstract_module.h"
#include "application_definitions.h"

// Do NOT move macros, functions and includes beginning with "spacecomp".

class controller: public abstract_module {
	SPACECOMP_START(controller, INDEX, controller);

public:
	controller(SPACECOMP_CTOR_PARAMS(controller, INDEX));

	void thread(SPACECOMP_THREAD_PARAMS(controller, INDEX, thread));

	// You may add member functions and fields as desired here.

	SPACECOMP_END(controller, INDEX, controller);
};

#endif